com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonFormatVisitorWrapper

- All Superinterfaces:
    JsonFormatVisitorWithSerializerProvider
  All Known Implementing Classes:
    JsonFormatVisitorWrapper.Base

      public interface JsonFormatVisitorWrapper
      extends JsonFormatVisitorWithSerializerProvider

  Interface for visitor callbacks, when type in question can be any of legal JSON types.

  In most cases it will make more sense to extend `JsonFormatVisitorWrapper.Base` instead of directly implementing this interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JsonFormatVisitorWrapper.Base` Empty "no-op" implementation of `JsonFormatVisitorWrapper`, suitable for sub-classing.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonAnyFormatVisitor` | `expectAnyFormat(JavaType type)`
    `JsonArrayFormatVisitor` | `expectArrayFormat(JavaType type)`
    `JsonBooleanFormatVisitor` | `expectBooleanFormat(JavaType type)`
    `JsonIntegerFormatVisitor` | `expectIntegerFormat(JavaType type)`
    `JsonMapFormatVisitor` | `expectMapFormat(JavaType type)` Method called when type is of Java `Map` type, and will be serialized as a JSON Object.
    `JsonNullFormatVisitor` | `expectNullFormat(JavaType type)`
    `JsonNumberFormatVisitor` | `expectNumberFormat(JavaType type)`
    `JsonObjectFormatVisitor` | `expectObjectFormat(JavaType type)`
    `JsonStringFormatVisitor` | `expectStringFormat(JavaType type)`

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider

      `getProvider, setProvider`

- - ### Method Detail

    - #### expectObjectFormat

          JsonObjectFormatVisitor expectObjectFormat(JavaType type)
                                              throws JsonMappingException

      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectArrayFormat

          JsonArrayFormatVisitor expectArrayFormat(JavaType type)
                                            throws JsonMappingException

      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectStringFormat

          JsonStringFormatVisitor expectStringFormat(JavaType type)
                                              throws JsonMappingException

      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectNumberFormat

          JsonNumberFormatVisitor expectNumberFormat(JavaType type)
                                              throws JsonMappingException

      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectIntegerFormat

          JsonIntegerFormatVisitor expectIntegerFormat(JavaType type)
                                                throws JsonMappingException

      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectBooleanFormat

          JsonBooleanFormatVisitor expectBooleanFormat(JavaType type)
                                                throws JsonMappingException

      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectNullFormat

          JsonNullFormatVisitor expectNullFormat(JavaType type)
                                          throws JsonMappingException

      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectAnyFormat

          JsonAnyFormatVisitor expectAnyFormat(JavaType type)
                                        throws JsonMappingException

      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectMapFormat

          JsonMapFormatVisitor expectMapFormat(JavaType type)
                                        throws JsonMappingException

      Method called when type is of Java `Map` type, and will be serialized as a JSON Object.
      Throws:
        `JsonMappingException`
      Since:
        2.2

Copyright © 2008–2018 FasterXML. All rights reserved.